{
    num: -2008,
    accuracy: 100,
    basePower: 120,
    category: "Special",
    name: "Divination",
    pp: 10,
    priority: 0,
    flags: { allyanim: 1, metronome: 1, futuremove: 1 },
    ignoreImmunity: true,
    onTry(source, target) {
      if (!target.side.addSlotCondition(target, "futuremove"))
        return false;
      Object.assign(target.side.slotConditions[target.position]["futuremove"], {
        duration: 3,
        move: "divination",
        source,
        moveData: {
          id: "futuresight",
          name: "Divination",
          accuracy: 100,
          basePower: 120,
          category: "Special",
          priority: 0,
          flags: { allyanim: 1, metronome: 1, futuremove: 1 },
          ignoreImmunity: false,
          effectType: "Move",
          type: "Dark"
        }
      });
      this.add("-start", source, "move: Divination");
      return this.NOT_FAIL;
    },
    secondary: null,
    target: "normal",
    type: "Dark",
    contestType: "Clever"
  }